summaryrefslogtreecommitdiff
path: root/src/exchangedb
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2024-03-06 23:53:58 +0100
committerChristian Grothoff <christian@grothoff.org>2024-03-06 23:53:58 +0100
commite7ef7b6198c99a9675c4cc8413ce6e2f87078fc4 (patch)
tree607f10ecbf608d9f7e36ce605f1455f0d1a789ad /src/exchangedb
parent576f322c8ab51377bd9100e7cd6c5364e6f13766 (diff)
downloadexchange-e7ef7b6198c99a9675c4cc8413ce6e2f87078fc4.tar.gz
exchange-e7ef7b6198c99a9675c4cc8413ce6e2f87078fc4.tar.bz2
exchange-e7ef7b6198c99a9675c4cc8413ce6e2f87078fc4.zip
-skip test if DB does not exist
Diffstat (limited to 'src/exchangedb')
-rwxr-xr-xsrc/exchangedb/test_idempotency.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/src/exchangedb/test_idempotency.sh b/src/exchangedb/test_idempotency.sh
index 66f712c1c..7314b8c3f 100755
--- a/src/exchangedb/test_idempotency.sh
+++ b/src/exchangedb/test_idempotency.sh
@@ -1,6 +1,7 @@
#!/bin/sh
# This file is in the public domain.
set -eu
+psql talercheck < /dev/null || exit 77
echo "Initializing DB"
taler-exchange-dbinit -r -c test-exchange-db-postgres.conf
echo "Re-initializing DB"